      subroutine ZONOPT(IZON)
      include 'UNITS.INC'
      include 'INPAR.INC'
      integer LENZON
      integer EOF,INUNIT,NZONE,ZONLEN(4),MINZON(4),IZON,IFIND,IT
      character ZONNAM(21)*1, REQFMT*18
      data REQFMT/'(//'' Option-> ''  )'/
      data NZONE, ZONLEN, MINZON, LENZON /4, 5,8,4,4, 1,1,1,1, 21/
      data ZONNAM/'W','A','T','E','R', 'S','E','D','I','M','E','N','T',
     &'H','E','L','P', 'Q','U','I','T'/
100   continue
      IZON = IFIND(NZONE,LENZON,ZONLEN,ZONNAM,MINZON)
      IT = IZON+3
      go to (120,130,110,130,130,120,130), IT
110   continue
      write (TTYOUT(MACHNO),5000)
5000  format (/' Option not recognized, please try again.'/)
120   continue
      write (TTYOUT(MACHNO),5010)
5010  format(/                                                          
     - 1X,'The following options are available:'//                      
     -16X,'Water     - Water Column concentrations'/                    
     -16X,'Sediments - Benthic Sediment concentrations'/                
     -16X,'Help      - This message'/                                   
     -16X,'Quit      - Return to the EXAMS prompt')
      REQFMT(16:17) = CRSTOP(MACHNO)
      write (TTYOUT(MACHNO),REQFMT)
      INUNIT = TTYIN(MACHNO)
      call INREC (EOF,INUNIT,INPUT)
      IZON = -1
      STOPIT = 0
      if (EOF.ne.1) go to 100
130   continue
      return
      end
